Bug 189685 - [HeapWalker] Hyper links on Overview tab can show incorrect instance
[HeapWalker] Hyper links on Overview tab can show incorrect instance
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 15:14 UTC by Tomas Hurka
Modified: 2011-02-24 16:05 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2010-08-19 15:14:16 UTC
Hyper links on Overview tab can show incorrect instance, since they use class name and instance number to encode the instance. This scheme is not working correctly, when there are classes with the same name loaded by more than one classloader. The similar problem is with links to classes.
Comment 1 Tomas Hurka 2010-08-19 15:17:09 UTC
Fixed in profiler-main

changeset:   175862:5eeeb5bebe4c
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu Aug 19 17:16:26 2010 +0200
summary:     bugfix #189685, use Instance.in.getInstanceId() and JavaClass.getJavaClassId() to identify Instance and JavaClass
Comment 2 Quality Engineering 2010-08-25 03:19:24 UTC
Integrated into 'main-golden', will be available in build *201008250001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/5eeeb5bebe4c
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #189685, use Instance.in.getInstanceId() and JavaClass.getJavaClassId() to identify Instance and JavaClass


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo